Listar teléfonos disponibles del workspace
curl --request GET \
--url https://api-prod.studio.getsupervisor.ai/v1/workspaces/{workspaceId}/phones \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/workspaces/{workspaceId}/phones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.studio.getsupervisor.ai/v1/workspaces/{workspaceId}/phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "02717a1a-2314-4235-a8d8-cd54ca6c7b36",
"externalId": "5215527050879",
"channel": "voice",
"supportsOutbound": true,
"assignedTo": null,
"lastUsedAt": "2024-09-06T12:45:00.000Z",
"requiresQrReauth": false
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"path": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Agent Phones
Listar teléfonos disponibles del workspace
GET
/
v1
/
workspaces
/
{workspaceId}
/
phones
Listar teléfonos disponibles del workspace
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identificador del workspace multi-tenant
Query Parameters
Filtra teléfonos por canal disponible. Es el único parámetro de consulta que esta ruta acepta; cualquier otro (page, limit, sort, fields, include, q, filter) responde 400.
Available options:
voice Response
Teléfonos disponibles
Show child attributes
Show child attributes
